h42967
s 00010/00001/00066
d D 1.4 83/03/28 14:47:50 mjb 4 3
c 
e
s 00000/00001/00067
d D 1.3 83/03/03 22:31:27 mjb 3 2
c 
e
s 00014/00002/00054
d D 1.2 83/03/02 23:18:15 mjb 2 1
c 
e
s 00056/00000/00000
d D 1.1 83/03/02 17:42:57 mjb 1 0
c date and time created 83/03/02 17:42:57 by mjb
e
u
mjb
tes
U
t
T
I 1
subroutine graph2
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Manage the GRAPH menu selection and actions            #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################

include(`gphcom')

# read in menu common from disk 
ifdef(`OVERLAY',`call rdmenu')

action = NUL
D 3
krmain = 1
E 3

repeat {
   if (mid == ANNOTATE | mid == MOVExLEGEND) {
D 4
      call graph6
E 4
I 4
      if (bgin == NO) {
         call errmsg (PAUSE, NOxGRAPHICxINPUTxERROR)
	 mid = lastid
         action = NUL
         }
      else {
         call graph6
	 }
E 4
      }
   else if (mid >= MULTIPLExCHARTSxPERxPAGE & mid <= ADVANCEDxPIExEDIT) {
      call graph5
      }
   else if (mid >= GRAPHxDATAxFRAME & mid <= PERIODICxAXESxEDIT) {
      call graph4
      }
   else {
      call graph3
      }

   } until (action > NUL)

# clear the ascii characters from the screen
call clrscr

D 2
# restore graphics mode
call chgmod (ENTERxGRAPHICSxMODE)
E 2
I 2
if (action == SHOWxCHART | action == ANNOTATE | action == MOVExLEGEND) {
   if (device == CRT & bgraph == NO) {
      call errmsg (PAUSE, NOxGRAPHICSxERROR)
I 4
      lastid = mid
E 4
      action = NUL
      }
   else if (device == CRT & bgin == NO & action != SHOWxCHART) {
      call errmsg (PAUSE, NOxGRAPHICxINPUTxERROR)
I 4
      mid = lastid
E 4
      action = NUL
      }
   }
else {
   # restore graphics mode
   call chgmod (ENTERxGRAPHICSxMODE)
   }
E 2

return
end
E 1
